    /**
     * Actualitzacio vistes cada 10 segons
     */
    var int=self.setInterval("refresh()",60000);
    function refresh()
    {
        location.reload(true);
    }
    /**
     * Un cop la vista esta carregada
     */
    jQuery(document).ready(function ($) {
        var loc = window.location.pathname.substring(1);
        setInterval(updateWelcome, 100);

        $('[data-toggle="popover"]').popover();
        /**
         * Mostrar active menu
         */
        $('.navbar a').each(function(index) {
            //alert(this.href);
            if(this.href.substring(22) == window.location.pathname.substring(1)){
                $(this).css("color", "white");
            }
        });
        /**
         *zoom matricules
         */
        $(".img-thumbnail").elevateZoom({
            zoomWindowPosition: 9,
            zoomWindowWidth:300,
            zoomWindowHeight:100
        });
        /**
         *validacio matricules
         */
        function validarMatricula($matricula) {
            //$matricula = "hello world!";
            var result1 = /^\d{4}[QWRTYPSDFGHJKLÑZXCVBNM]{3}$/.test($matricula);
            var result2 = /^[A-Z]{1,2}\d{4}[A-Z]{0,2}$/.test($matricula);
            if(result1 || result2){
                return true;
            }
            else{
                return false
            }
        }
        /**
         * Events Welcome
         */
        function updateWelcome() {
            $.getJSON("/actualitzar", function(result){
                $.each(result, function(i, field){
                    if(i=="countAccessosTotals"){
                        $("#Accessos").html(field + " ");
                    }
                    if(i=="countAccessosConfirmar"){
                        $("#confirmar").html(field + " ");
                    }
                    if(i=="countAccessosNoAutoritzats"){
                        $("#NoAutoritzat").html(field + " ");
                    }
                });
            });
        }
        /**
         * Events alta_autoritzacio
         */
        $("#Alta button").click(function () {
            var $matricula = $("#matricula").val();
            var $marca = $("#marca").val();
            var $model = $("#model").val();
            if(validarMatricula($matricula)){
                /* Futura implementació amb ajax
                $.ajax({
                    type: "POST",
                    url: "/alta_autoritzacio",
                    data: { matricula: $matricula, marca: $marca, model: $model},
                    success: function(data) {
                        alert(data);
                    }
                });*/
                var r = confirm('Estas segur que vols afegir el vehicle amb matricula: '+$matricula);
                if (r == true) {
                    $.redirect("/alta_autoritzacio", {matricula: $matricula, marca: $marca, model: $model}, 'POST');
                }
            }else{
                $("#matricula").css('background-color', '#ffa0a7');
            }
        });
        $("#borrarVehicle button").click(function () {
            var id = $(this).val();
            var dataString = 'id='+id;
            var r = confirm('Estas segur que vols eliminar com a autoritzada la matricula: '+$('#'+id+' .matricula').html());
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/alta_autoritzacio/borrar",
                    data: dataString,
                    success: function (data) {
                        $("#" + id).remove();
                    }
                });
            }
        });
        /**
         * Events confirmacioMatricula
         */
        $("#Actualitzar button").click(function () {
            var id = $(this).val();
            var $matricula = $("#matricula"+id).val();
            if(validarMatricula($matricula)){
                var r = confirm("Estas segur que vols actualitzar el valor de matrícula:"
                    +$('#'+id+' .matricula').html()+
                    "="+$matricula);
                if (r == true) {
                    $.ajax({
                        type: "POST",
                        url: "/confirmar",
                        data: {matricula: $matricula, id_acces: id},
                        success: function (data) {
                            $("#" + id).remove();
                        }
                    });
                }
            }else{
                $("#matricula"+id).css('background-color', '#ffa0a7');
            }
        });
        //marcar lectura com a correcta
        $("#lecturaBona button").click(function () {
            var id = $(this).val();
            var r = confirm('Estas segur que vols confirmar la lectura de matricula: '+$('#'+id+' .matricula').html()+"com a correcta");
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/confirmar/matricula",
                    data: {id_acces: id},
                    success: function (data) {
                        $("#" + id).remove();
                    }
                });
            }
        });
        //borrar una lectura no valida
        $("#borrarAcces button").click(function () {
            var id = $(this).val();
            //$("#"+id).remove();
            var dataString = 'id_acces='+id;
            var r = confirm('Estas segur que vols eliminar l\'acces  amb matricula '+$('#'+id+' .matricula').html());
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/confirmar/borrar",
                    data: dataString,
                    success: function (data) {
                        $("#" + id).remove();
                    }
                });
            }
        });
        /**
         * Events festius.blade
         */
        $("#sendRangDates").click(function () {
            var $start = $("#start").val();
            var $end = $("#end").val();
            var $descripcio = $("#descripcio").val();
            if($start == '' || $end == ''){
                $("#start").css('background-color', '#ffa0a7');
                $("#end").css('background-color', '#ffa0a7');
            }if($descripcio == '') {
                $("#descripcio").css('background-color', '#ffa0a7');
            }else{
                var r = confirm('Vols afegir les dates de: '+$start+' a '+$end);
                if (r == true) {
                    $.redirect("/festius", {start: $start, end: $end, descripcio: $descripcio}, 'POST');
                }
            }
        });
        /**
         * Formatat datepicker
         */
        $('.input-daterange').datepicker({
            format: "yyyy-mm-dd",
            todayBtn: "linked",
            clearBtn: true,
            language: "ca",
            daysOfWeekHighlighted: "0,6",
            orientation: "bottom auto",
            autoclose: false,
            todayHighlight: true,
        });
        //eliminar periode festius
        $('#festius button').click(function () {
            var id = $(this).val();
            var dataString = 'id='+id;
            var r = confirm("Estas segur que vols eliminar el periode "+$('#'+id+' #descripcio').html()+ " de "+$('#'+id+' #dataInici').html()+ " a "+$('#'+id+' #dataFi').html());
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/festius/borrar",
                    data: dataString,
                    success: function(data) {
                        $("#"+id).remove();
                    }
                });
            }
        });
        /**
         * Events sancio.blade
         */
        $('#tramitar button').click(function () {

            var $idBoto = $(this).val();
            var r = confirm("Has confirmat que la lectura de matricula: "+$('#'+$idBoto+' .matricula').html()+" és correcta?");
            if (r == true) {
                $.redirect("/sancions",{ id: $idBoto},'POST');
                setTimeout(function(){
                    refresh();
                }, 1000);
            }
        });
        $('#autoritzar button').click(function () {
            var id = $(this).val();
            var r = confirm('Estas segur que vols eliminar l\'acces  amb matricula: '+$('#'+id+' .matricula').html());
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/sancions/autoritzar",
                    data: {id: id},
                    success: function () {
                        $("#" + id).remove();
                    }
                });
            }
        });
        $('#lecturaErrionia button').click(function () {
            var id = $(this).val();
            var r = confirm('Estas segur que vols marcar la lectura de matricula: '+$('#'+id+' .matricula').html()+" com erronia");
            if (r == true) {
                $.ajax({
                    type: "POST",
                    url: "/sancions/errorlectura",
                    data: {id: id},
                    success: function () {
                        $("#" + id).remove();
                    }
                })
            }
        });
        /**
         * Ordenació taules
         */
        $(function() {
            // Ordenar taula des de client.
            $("#tableAccessos").tablesorter({
                theme : 'blue',
                // primera i segona columna ordenades a mes
                sortList: [[],[1,0]],
                headers: {3:{sorter:false},4:{sorter:false}}
            });
            $("#tableConfirmarSancio").tablesorter({
                theme : 'blue',
                // primera i segona columna ordenades a mes
                sortList: [[],[1,0]],
                headers: {2:{sorter:false},3:{sorter:false},4:{sorter:false}}
            });
        });
        /**
         * Eliminar Usuaris
         */
        $("#borrarUsuari button").click(function () {
            var id = $(this).val();
            var dataString = 'id_user='+id;
            $.ajax({
                type: "POST",
                url: "/llistarusuaris/eliminar",
                data: dataString,
                success: function(data) {
                    $("#"+id).remove();
                }
            });
        });
    });